use ExtUtils::MakeMaker;

# ExtUtils::AutoInstall Bootstrap Code, version 7.
BEGIN{my$p='ExtUtils::AutoInstall';my$v=0.45;$p->VERSION||0>=$v
or+eval"use $p $v;1"or+do{my$e=$ENV{PERL_EXTUTILS_AUTOINSTALL};
(!defined($e)||$e!~m/--(?:default|skip|testonly)/and-t STDIN or
eval"use ExtUtils::MakeMaker;WriteMakefile(PREREQ_PM=>{'$p',$v}
);1"and exit)and print"==> $p $v required. Install it from CP".
"AN? [Y/n] "and<STDIN>!~/^n/i and print"*** Installing $p\n"and
do{if (eval '$>' and lc(`sudo -V`) =~ /version/){system('sudo',
$^X,"-MCPANPLUS","-e","CPANPLUS::install $p");eval"use $p $v;1"
||system('sudo', $^X, "-MCPAN", "-e", "CPAN::install $p")}eval{
require CPANPLUS;CPANPLUS::install$p};eval"use $p $v;1"or eval{
require CPAN;CPAN::install$p};eval"use $p $v;1"||die"*** Please
manually install $p $v from cpan.org first...\n"}}}

use ExtUtils::AutoInstall (
	-core => [
		# mandatory modules
		'Date::Manip'  => '5.56',
	],

	'CGI' => [
		-default => 1,
		CGI => '',
	],
  
	'Crypt' => [
		-default => 1,
		Crypt::CBC => '',
		Crypt::OpenSSL::RSA => '0.24',
		Crypt::Rijndael => '',
	],

	'HTTP' => [
		-default => 1,
		HTML::TokeParser => '',
		HTML::Element => '',
		HTML::TreeBuilder => '',
		HTTP::Cookies => '',
		HTTP::Request::Common => '',
		HTTP::Request::Form => '',
		LWP::UserAgent => '',
		URI::Escape => '',
		URI::URL => '',
	],

	'Apache2 Request' => [
		-default => 1,
		Apache2::Request => '',
 	],

	'System' => [
		-default => 1,
		Fcntl => '',
		Data::UUID => '',
	],
  
	'DB' => [
		-default    => 1,
		MLDBM => '',
		MLDBM::Sync => '',
		DB_File => '',
		DB_File::Lock => '',
	],
  
	'Miscelaneous' => [
		-default => 1,
		Clone => '',
		Digest::MD5 => '',
		MIME::Base64 => '',
		Parse::Yapp => '',
		XML::Parser::PerlSAX => '',
		XML::Parser => '',
		Date::Manip => '5.56',
		XML::Checker::Parser => '',
 	],
);


WriteMakefile(
  'NAME' => 'PAPI',
  'MAN1PODS' => { 'doc/PAPI.pod' => '$(INST_MAN1DIR)/PAPI.1',
		  'doc/PAPI-faq.pod' => '$(INST_MAN1DIR)/PAPI-faq.1',
		  'doc/PAPI-gb.pod' => '$(INST_MAN1DIR)/PAPI-gb.1',
		  'doc/PAPI_PoA-Config.pod' => '$(INST_MAN1DIR)/PAPI_PoA-Config.1',
		 },
  'MAN3PODS' => {},
  'VERSION' => '1.5.beta',
);


sub MY::install {
  package MY;
  my $inherited = shift->SUPER::install(@_);
  $inherited =~ s/^(\t+)(\$\(INST_SCRIPT\) \$\((DEST)?INSTALLSCRIPT\))/$1\$(INST_CGI) \$(INSTALLCGI) \\\n$1$2/gsm;
  $inherited;
}
